### Method

# Secret Schema ref

#### Declaration [src]

    SecretSchema*
    secret_schema_ref (
      SecretSchema* schema
    )

#### Description [src]

Adds a reference to the `SecretSchema`.

It is not normally necessary to call this function from C code, and is mainly present for the sake of bindings. If the `schema` was statically allocated, then this function will copy the schema.

#### Return value

Returns: | `SecretSchema`
| The referenced schema, which should be later unreferenced with `secret_schema_unref()`
| The caller of the method takes ownership of the data, and is responsible for freeing it.